Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.ginsim
Class GinSimEdgeKernel

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.standard.type.BaseSupport
                  biouml.plugins.ginsim.GinSimEdgeKernel

All Implemented Interfaces:
  Base, DataElement, MutableDataElement, Type

public class GinSimEdgeKernel
extends BaseSupport

Field Summary

Fields inherited from class biouml.standard.type.BaseSupport
`title, type`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface biouml.standard.type.Type
`CONSTANT, DATABASE_INFO, DIAGRAM_INFO, MATH, MATH_EQUATION, MATH_EVENT, MATH_FUNCTION, MATH_STATE, MATH_TRANSITION, TYPE_CELL, TYPE_CHEMICAL_ROLE, TYPE_COMPARTMENT, TYPE_CONCEPT, TYPE_DIAGRAM_REFERENCE, TYPE_FUNCTION, TYPE_GENE, TYPE_MOLECULE, TYPE_NOTE, TYPE_NOTE_LINK, TYPE_PROCESS, TYPE_PROTEIN, TYPE_REACTION, TYPE_RELATION, TYPE_RNA, TYPE_SEMANTIC_RELATION, TYPE_STATE, TYPE_SUBSTANCE, TYPE_UNKNOWN`

Constructor Summary
`GinSimEdgeKernel(java.lang.String name)`

Method Summary
`java.lang.String` | `getRoutage()`
`java.lang.String` | `getStyle()`
`void` | `setRoutage(java.lang.String routage)`
`void` | `setStyle(java.lang.String style)`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, getType, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### GinSimEdgeKernel

    public GinSimEdgeKernel(java.lang.String name)

Method Detail

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String style)

### getRoutage

    public java.lang.String getRoutage()

### setRoutage

    public void setRoutage(java.lang.String routage)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.